Subject: [os2genau_digest] No. 992
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 30 Nov 2004 00:01:09 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 29 November 2004
 Number  992
**************************************************

Subjects for today
 
1  Re:  Zoneedit DDNS service update program : John Angelico" <talldad at kepl dot com dot au>
2  Re:  Zoneedit DDNS service update program : Ken Laurie" <ken.laurie at graeleah dot com>
3  Re:  Zoneedit DDNS service update program : Ken Laurie <ken.laurie at graeleah dot com>
4   PDF file creation : Dennis Nolan <dennik at swiftdsl dot com dot au>
5  Re:  PDF file creation : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Mon, 29 Nov 2004 10:03:04 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Zoneedit DDNS service update program

On Sun, 28 Nov 2004 15:21:27 +1100, Ken Laurie wrote:

>Hi All
>
>I have just uploaded to www.os2site dot com version 0.3 of my program to 
>update the dynamic dns service provider zoneedit. If you want to run a 
>web server etc from a dynamic IP address and use zoneedit to host the 
>dns information then this program will perform the updates for you.
>

Hey that sounds like a good idea Ken.

Could I use that for running a mail server on a DHCP cable connection too?

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Useless Invention: Flame-retardant gasoline.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 29 Nov 2004 13:07:32 +0000
From:  "Ken Laurie" <ken.laurie at graeleah dot com>
Subject:  Re:  Zoneedit DDNS service update program

John

Shouldn't be a problem. I use unwired for my internet access and I am running a web server and mail server. You just configure zoneedit to point to the same IP Address. I have a www.graeleah dot com and a mail.graeleah dot com. If you are setting up a mail server (I use weasel) make sure you check to see if you are not acting as a mail relay.

When I get home I can send you a URL to check to see if you mail server will act as a mail relay.

regards
Ken

On Mon, 29 Nov 2004 10:03:04 +1100 (AEDT), talldad at kepl dot com dot au wrote:

>On Sun, 28 Nov 2004 15:21:27 +1100, Ken Laurie wrote:
>
>>Hi All
>>
>>I have just uploaded to www.os2site dot com version 0.3 of my program to 
>>update the dynamic dns service provider zoneedit. If you want to run a 
>>web server etc from a dynamic IP address and use zoneedit to host the 
>>dns information then this program will perform the updates for you.
>>
>
>Hey that sounds like a good idea Ken.
>
>Could I use that for running a mail server on a DHCP cable connection too?
>
>
>Best regards
>John Angelico
>OS/2 SIG
>os2 at melbpc dot org dot au or 
>talldad at kepl dot com dot au
>___________________
>
>PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
>.... Useless Invention: Flame-retardant gasoline.

> 

>
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 29 Nov 2004 17:47:08 +1100
From:  Ken Laurie <ken.laurie at graeleah dot com>
Subject:  Re:  Zoneedit DDNS service update program

John

The web site to use to check if you have configured you mail server as 
an open relay is

http://www.abuse dot net/relay.html

If you are going to run an email server make sure you use this site to 
check as you don't want to end up being blacklisted for being an open 
relay mail server.

regards
Ken

Ken Laurie wrote:

>John
>
>Shouldn't be a problem. I use unwired for my internet access and I am running a web server and mail server. You just configure zoneedit to point to the same IP Address. I have a www.graeleah dot com and a mail.graeleah dot com. If you are setting up a mail server (I use weasel) make sure you check to see if you are not acting as a mail relay.
>
>When I get home I can send you a URL to check to see if you mail server will act as a mail relay.
>
>regards
>Ken
>
>On Mon, 29 Nov 2004 10:03:04 +1100 (AEDT), talldad at kepl dot com dot au wrote:
>
>  
>
>>On Sun, 28 Nov 2004 15:21:27 +1100, Ken Laurie wrote:
>>
>>    
>>
>>>Hi All
>>>
>>>I have just uploaded to www.os2site dot com version 0.3 of my program to 
>>>update the dynamic dns service provider zoneedit. If you want to run a 
>>>web server etc from a dynamic IP address and use zoneedit to host the 
>>>dns information then this program will perform the updates for you.
>>>
>>>      
>>>
>>Hey that sounds like a good idea Ken.
>>
>>Could I use that for running a mail server on a DHCP cable connection too?
>>
>>
>>Best regards
>>John Angelico
>>OS/2 SIG
>>os2 at melbpc dot org dot au or 
>>talldad at kepl dot com dot au
>>___________________
>>
>>PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
>>.... Useless Invention: Flame-retardant gasoline.

>>

>>
>>    
>>

> 

>
>  
>
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 29 Nov 2004 21:25:26 +1100
From:  Dennis Nolan <dennik at swiftdsl dot com dot au>
Subject:   PDF file creation

Hi all

Has anyone had any success in creating PDF files.

I installed Ghostscript and Ghostview, Installed ePDF and a printer 
object to use it.

I create a document in Maul with the ePDF  print subsystem enabled and 
print the document to a file. Well actualy the subsystem is for 
imbedding PDF tags into the text.

When I try to open the document in the Adobe reader, it complains that 
the file does not begin with %PDF
When I open it in Ghostview I get an error saying there are more pages 
than indicated in the document but then allows an internal correction 
and displays the file, with an extra blank page.

The document is just a double sided brochure, nothing fancy.

As printers seem to be accepting PDF files, which are more or less 
device and OS independent, I hoped to be able to do it in OS/2.

I looked at the header and my document has %!PS-Adobe  at the start of 
the file.
A normal PDF file started with %PDF-1.2

I was under the impression that Ghostscript not only read PDF files but 
also was able to convert a Postscript file to PDF.

Regards

Dennis.
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Mon, 29 Nov 2004 22:22:05 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  PDF file creation

On Mon, 29 Nov 2004 21:25:26 +1100, Dennis Nolan wrote:

>Hi all
>
>Has anyone had any success in creating PDF files.
>

Hi Dennis. 

Yes I have.

>I installed Ghostscript and Ghostview, Installed ePDF and a printer 
>object to use it.

I use GSView and GS, not ePDF.

>I create a document in Maul with the ePDF  print subsystem enabled and 
>print the document to a file. Well actualy the subsystem is for 
>imbedding PDF tags into the text.

I set up a Postscript printer object, and set it to Print to File ONLY.

Then I print to the PS object, which asks me for a filename.

I specify a path to a Temp folder and a name with .ps extension [CRITICAL!].

>When I try to open the document in the Adobe reader, it complains that 
>the file does not begin with %PDF
>When I open it in Ghostview I get an error saying there are more pages 
>than indicated in the document but then allows an internal correction 
>and displays the file, with an extra blank page.

I open the .ps file in GSView, and I notice that it is only a one-page piece.

THEN I use File/Convert with the PDFWrite driver, and specify a .pdf
extension for the output file.

This is the file which Acrobat/Acroread can handle.

>
>The document is just a double sided brochure, nothing fancy.
>
>As printers seem to be accepting PDF files, which are more or less 
>device and OS independent, I hoped to be able to do it in OS/2.

Yep. No probs. GSView creates quite compact files too. I use this technique
for generating PDFs to put on our business website fo customers to download.

See if this works for you.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Definitions #751: Printout: A document to verify data you know is wrong anyway.
----------------------------------------------------------------------------------